Subject: bug#78890: 31.0.50; Messy vc-annotate buffer names

From: Stephen Berman <[email-masked]>
Date: Wed, 25 Jun 2025 18:19:38 +0200

On Wed, 25 Jun 2025 08:57:59 -0700 Jim Porter <[email-masked]> wrote:

> On 6/25/2025 8:47 AM, Stephen Berman via Bug reports for GNU Emacs, the Swiss
> army knife of text editors wrote:
>> Oops, I should've checked instead of assuming.
>> (https://www.imdb.com/title/tt0664250/quotes/?item=qt2409883)
>
> Well, when I looked at the code change, I'd have figured it would be in Emacs
> 30 too, since that line is the same in 30 and the master branch. The bug is
> new though, so something else changed, which worries me a little bit. It might
> be a good idea to figure out what cause this regression in case it causes
> other problems we're not aware of yet.

I checked now, and in emacs-30 the current buffer when temp-buffer-name
is set is the one visiting the file being annotated, while in master
it's the buffer displaying the annotations.  In emacs-30 there is a call
to `vc-ensure-vc-buffer' before the let sexp where temp-buffer-name is
set, but not in master; adding that back seems to fix the problem.

Steve Berman